Archive for June, 2009

Adium 1.3.5

Monday, June 22nd, 2009

Adium 1.3.5 is now available, with the aforementioned features of the release candidate. Enjoy!

Adium 1.3.5rc1

Sunday, June 21st, 2009

Howdy folks. We’ve posted a release candidate for 1.3.5rc1. I don’t want to deal with having two betas simultaneously, so we’re keeping it short and simple here on the blog. The only changes are in libpurple and the Facebook chat plugin. Please respond here with any issues specifically related to 1.3.5 over 1.3.4.

1.3.5rc1.dmg (MD5 ba46df4857871bfa5eed3170f0961b05)

Libpurple changes in 2.5.7:

  • Yahoo Protocol 16 support, including new HTTPS login method; this should fix a number of login problems that have recently cropped up. (Sulabh Mahajan, Mike “Maiku” Ruprecht)
  • Only display the AIM “Unable to Retrieve Buddy List” message once per connection. (Rob Taft)
  • Blocking MSN users not on your buddy list no longer disconnects you.
  • When performing operations on MSN, assume users are on the MSN/Passport network if we don’t get network ID’s for them. [this fixes adding/removing and getting disconnected]

pidgin-facebookchat changes in 1.51:

  • Fix idle status of buddies
  • Less disconnects for people with large friends lists
  • gzip compression for smaller page downloads
  • Fixes for notifications for non-English users
  • Display messages sent from website in Pidgin
  • Inbox count display
  • Usernames and/or passwords with utf-8 characters should work now
  • Display *bold* and _underline_ formatting in incoming messages
  • Memleak fixes
  • Proxy server fixes
  • Fixed some crashes on disconnect
  • Fixes some buddy's appearing offline when they weren't
  • New channel finding code, should mean less conflicts with Facebook website

Yahoo! change

Saturday, June 20th, 2009

Yahoo! has made a change on their server that prevents Adium 1.3.4 and the 1.4 betas from connecting. We have released a new beta, beta 7, which contains the fix.

As we’ve noted before, 1.4 will require Leopard. Those of you who are still hanging on to Tiger are currently stuck, as we do not yet have a fixed version for you. We’ll release a 1.3.5 shortly after Libpurple 2.5.7 comes out, as that version will also contain the fix. (Libpurple, for those of you who don’t know, is the library Adium uses to connect to Yahoo! and most other services.) The Adium 1.4 betas use pre-release versions of Libpurple 2.6.